# Set up Google API keys, see http://www.chromium.org/developers/how-tos/api-keys
# Note: these are for Mageia use ONLY.
# For your own builds, please get your own set of keys.
%define    google_api_key AIzaSyDhhIHB_kQZodiWr8yDAm8E3GwEyiXmuDU

Name:		minitube
Version:	3.9.3
Release:	%mkrel 2
Summary:	A native YouTube client
Group:		Video/Players
License:	GPLv3+
URL:		http://flavio.tordini.org/minitube
Source0:	https://github.com/flaviotordini/minitube/releases/download/%{version}/%{name}-%{version}.tar.bz2
Patch0:		minitube-use-system-qtsingleapplication.patch

# https://github.com/flaviotordini/minitube/issues/217
Patch1:		minitube-fix-mpv-api-change.patch

# Upstream git commits since release, starting on 100

BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(phonon4qt5)
BuildRequires:	qttools5
BuildRequires:	pkgconfig(libvlc)
BuildRequires:	pkgconfig(mpv)
BuildRequires:	qtsingleapplication-qt5-devel
# minitube no longer supports anything other than the vlc phonon.
Requires:	phonon4qt5-vlc
Requires:	vlc-plugin-gnutls
Requires:	qt5-database-plugin-sqlite

%description
Minitube is a native YouTube client. With it you can watch YouTube videos in
a new way: you type a keyword, Minitube gives you an endless video stream.
Minitube does not require the Flash Player.

Minitube is not about cloning the original Youtube web interface, it strives
to create a new TV-like experience.

%prep
%autosetup -p1

# more debug msgs
sed -i -e '/QT_NO_DEBUG_OUTPUT/d' minitube.pro

# remove bundled qtsingleapplication
rm -r src/qtsingleapplication

%build
%qmake_qt5 \
	PREFIX=%{_prefix} \
	USE_SYSTEM_QTSINGLEAPPLICATION=1 \
	DEFINES+=APP_GOOGLE_API_KEY=%{google_api_key}
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

# fix .desktop file
desktop-file-edit \
	%{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc TODO CHANGES AUTHORS
%{_bindir}/minitube
%{_datadir}/minitube/
%{_datadir}/metainfo/org.tordini.flavio.minitube.metainfo.xml
%{_datadir}/applications/minitube.desktop
%{_iconsdir}/hicolor/*/apps/minitube.*


%changelog
* Sun Nov 13 2022 kekepower <kekepower> 3.9.3-2.mga9
+ Revision: 1906868
- Try with a user PR (https://github.com/flaviotordini/minitube/issues/217)
- Rebuild for new mpv 0.35.0

* Tue Apr 05 2022 kekepower <kekepower> 3.9.3-1.mga9
+ Revision: 1844679
- Update to version 3.9.3

* Tue Apr 05 2022 umeabot <umeabot> 3.9.2-2.mga9
+ Revision: 1844625
- Mageia 9 Mass Rebuild

* Fri Nov 12 2021 kekepower <kekepower> 3.9.2-1.mga9
+ Revision: 1755904
- Update to version 3.9.2

* Mon Sep 13 2021 kekepower <kekepower> 3.9.1-1.mga9
+ Revision: 1745392
- Update to version 3.9.1

* Tue Jun 22 2021 kekepower <kekepower> 3.9-1.mga9
+ Revision: 1731735
- Update to version 3.9

* Fri Apr 02 2021 kekepower <kekepower> 3.8.2-1.mga9
+ Revision: 1712747
- Update to version 3.8.2

* Tue Mar 02 2021 kekepower <kekepower> 3.8.1-1.mga9
+ Revision: 1696276
- Update to version 3.8.1

* Thu Feb 25 2021 kekepower <kekepower> 3.8-1.mga9
+ Revision: 1690882
- Update to version 3.8

* Thu Dec 17 2020 umeabot <umeabot> 3.6.7-2.mga8
+ Revision: 1659058
- Rebuild for new Qt5

* Sun Nov 29 2020 kekepower <kekepower> 3.6.7-1.mga8
+ Revision: 1650263
- Update to version 3.6.7

* Sat Nov 28 2020 kekepower <kekepower> 3.6.6-1.mga8
+ Revision: 1650025
- Update to version 3.6.6

* Mon Oct 26 2020 kekepower <kekepower> 3.6.5-1.mga8
+ Revision: 1639727
- Update to version 3.6.5

* Tue Oct 20 2020 kekepower <kekepower> 3.6.4-1.mga8
+ Revision: 1637363
- Update to version 3.6.4

* Mon Oct 19 2020 kekepower <kekepower> 3.6.3-1.mga8
+ Revision: 1636872
- Update to version 3.6.3

* Thu Sep 17 2020 kekepower <kekepower> 3.6.1-1.mga8
+ Revision: 1628259
- Update to version 3.6.1

* Fri Aug 21 2020 kekepower <kekepower> 3.5.1-1.mga8
+ Revision: 1617732
- Update to version 3.5.1

* Sun Aug 09 2020 kekepower <kekepower> 3.5-1.mga8
+ Revision: 1612151
- Update to version 3.5

* Tue Feb 18 2020 umeabot <umeabot> 3.3-2.mga8
+ Revision: 1541134
- Mageia 8 Mass Rebuild

* Sat Dec 21 2019 kekepower <kekepower> 3.3-1.mga8
+ Revision: 1469286
- Update to version 3.3

* Mon Sep 30 2019 kekepower <kekepower> 3.2-1.mga8
+ Revision: 1448483
- Update to version 3.2

* Sat Jun 15 2019 daviddavid <daviddavid> 3.1-1.mga7
+ Revision: 1399960
- new version: 3.1, fixes some issue with "signatures" in the URL
- use system qtsingleapplication

* Fri May 17 2019 daviddavid <daviddavid> 3.0-2.mga7
+ Revision: 1398095
- rebuild to fix a crash with current Mesa (reported by JanKusanagi)

* Wed Apr 17 2019 kekepower <kekepower> 3.0-1.mga7
+ Revision: 1392654
- Add upstream patch to fix no audio on resuming with new stream url
- Add upstream patch to fix new API for desktop geometry
- Update to version 3.0

* Sun Mar 31 2019 umeabot <umeabot> 2.9-4.mga7
+ Revision: 1383452
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.9-3.mga7
+ Revision: 1299556
- Mageia 7 Mass Rebuild

* Wed Jun 20 2018 solbu <solbu> 2.9-2.mga7
+ Revision: 1238297
- Create a new API key

* Sat Dec 30 2017 kekepower <kekepower> 2.9-1.mga7
+ Revision: 1187687
- Updated to version 2.9

* Mon Aug 07 2017 daviddavid <daviddavid> 2.7-2.mga7
+ Revision: 1138293
- remove BR pkgconfig(Qt5Declarative)

* Wed May 31 2017 wally <wally> 2.7-1.mga6
+ Revision: 1105648
- new version 2.7
- drop unneeded patches

* Wed Mar 16 2016 wally <wally> 2.5.2-2.mga6
+ Revision: 992100
- rediff missing-include.patch to apply with --fuzz=0

* Mon Jan 04 2016 zezinho <zezinho> 2.5.2-1.mga6
+ Revision: 919608
- new version 2.5.2 fixes vevo

* Mon Dec 07 2015 zezinho <zezinho> 2.5.1-3.mga6
+ Revision: 908692
- bump release because of an updated release for mga5

* Mon Nov 16 2015 wally <wally> 2.5.1-1.mga6
+ Revision: 903649
- new version 2.5.1
- drop patches from upstream

* Sun Oct 25 2015 wally <wally> 2.5-3.mga6
+ Revision: 895274
- require phonon4qt5-vlc instead of phonon-vlc

* Sun Oct 25 2015 wally <wally> 2.5-2.mga6
+ Revision: 895224
- add patch to ignore ssl errors

* Mon Oct 12 2015 wally <wally> 2.5-1.mga6
+ Revision: 890054
- switch to Qt5
- add patch from usptream to fix memory leak
- new version 2.5

* Tue Apr 21 2015 solbu <solbu> 2.4-1.mga5
+ Revision: 820524
- New version
- Add Google API key
- Update dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.2-3.mga5
+ Revision: 740524
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2-2.mga5
+ Revision: 682524
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Jul 21 2014 wally <wally> 2.2-1.mga5
+ Revision: 654987
- new version 2.2

* Fri Feb 14 2014 wally <wally> 2.1.6-1.mga5
+ Revision: 591379
- new version 2.1.6
- disable update check patch temporarily

* Sat Oct 19 2013 umeabot <umeabot> 2.0-2.mga4
+ Revision: 523762
- Mageia 4 Mass Rebuild

* Fri May 24 2013 wally <wally> 2.0-1.mga4
+ Revision: 426843
- new version 2.0
- add patches from Debian
  * disable-update-check
  * proper-tempfiles
  * assure-quit-keybinding

* Sun Mar 17 2013 solbu <solbu> 1.9-3.mga3
+ Revision: 403544
- Disable update check.
- Fix Requires

* Sat Jan 12 2013 umeabot <umeabot> 1.9-2.mga3
+ Revision: 360103
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 28 2012 wally <wally> 1.9-1.mga3
+ Revision: 299022
- fix group
- new version 1.9

* Mon Jul 02 2012 wally <wally> 1.8-1.mga3
+ Revision: 266770
- add patch to fix build
- new version 1.8
- clean .spec a bit

* Sat Mar 17 2012 wally <wally> 1.7.1-1.mga2
+ Revision: 223744
- new version 1.7.1

* Sat Jan 07 2012 wally <wally> 1.7-1.mga2
+ Revision: 192861
- new version 1.7
- fix license

* Fri Nov 11 2011 wally <wally> 1.6-1.mga2
+ Revision: 166805
- new version 1.6

* Wed Oct 05 2011 wally <wally> 1.5-2.mga2
+ Revision: 151888
- fix requires
- new version 1.5

* Wed Jun 08 2011 wally <wally> 1.4.3-1.mga2
+ Revision: 101912
- new version 1.4.3

* Sat Apr 23 2011 wally <wally> 1.4.2-2.mga1
+ Revision: 89967
- require phonon-backend

* Fri Apr 22 2011 wally <wally> 1.4.2-1.mga1
+ Revision: 89779
- new version 1.4.2
- add some doc files
- clean .spec
- imported package minitube

